VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::SerialTypes::BackingType Class Reference

The `Serial.BackingType` enumerated type defines the valid backing types for a virtual serial port. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, FILE, HOST_DEVICE, PIPE_SERVER, PIPE_CLIENT, NETWORK_SERVER, NETWORK_CLIENT }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static BackingType[] | GetValues ()
static BackingType | ValueOf (string name)
## Static Public Attributes
static readonly BackingType | FILE = new BackingType("FILE", Values.FILE)
| Virtual serial port is backed by a file.
static readonly BackingType | HOST_DEVICE = new BackingType("HOST_DEVICE", Values.HOST_DEVICE)
| Virtual serial port is backed by a device on the host where the virtual machine is running.
static readonly BackingType | PIPE_SERVER = new BackingType("PIPE_SERVER", Values.PIPE_SERVER)
| Virtual serial port is backed by a named pipe server.
static readonly BackingType | PIPE_CLIENT = new BackingType("PIPE_CLIENT", Values.PIPE_CLIENT)
| Virtual serial port is backed by a named pipe client.
static readonly BackingType | NETWORK_SERVER = new BackingType("NETWORK_SERVER", Values.NETWORK_SERVER)
| Virtual serial port is backed by a network server.
static readonly BackingType | NETWORK_CLIENT = new BackingType("NETWORK_CLIENT", Values.NETWORK_CLIENT)
| Virtual serial port is backed by a network client.

## Detailed Description

The `Serial.BackingType` enumerated type defines the valid backing types for a virtual serial port.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::SerialTypes::BackingType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  FILE | Virtual serial port is backed by a file.
  HOST_DEVICE | Virtual serial port is backed by a device on the host where the virtual machine is running.
  PIPE_SERVER | Virtual serial port is backed by a named pipe server. The virtual machine will accept a connection from a host application or another virtual machine on the same host. This is useful for capturing debugging information sent through the virtual serial port.
  PIPE_CLIENT | Virtual serial port is backed by a named pipe client. The virtual machine will connect to the named pipe provided by a host application or another virtual machine on the same host. This is useful for capturing debugging information sent through the virtual serial port.
  NETWORK_SERVER | Virtual serial port is backed by a network server. This backing may be used to create a network-accessible serial port on the virtual machine, accepting a connection from a remote system.
  NETWORK_CLIENT | Virtual serial port is backed by a network client. This backing may be used to create a network-accessible serial port on the virtual machine, initiating a connection to a remote system.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::SerialTypes::BackingType::GetEnumValue | ( |  | ) | `[inline]`

static BackingType [] vmware::vcenter::vm::hardware::SerialTypes::BackingType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::SerialTypes::BackingType::IsUnknown | ( |  | ) | `[inline]`

static BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::FILE = new BackingType("FILE", Values.FILE)`[static]`

Virtual serial port is backed by a file.

readonly BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::HOST_DEVICE = new BackingType("HOST_DEVICE", Values.HOST_DEVICE)`[static]`

Virtual serial port is backed by a device on the host where the virtual machine is running.

readonly BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::NETWORK_CLIENT = new BackingType("NETWORK_CLIENT", Values.NETWORK_CLIENT)`[static]`

Virtual serial port is backed by a network client.

This backing may be used to create a network-accessible serial port on the virtual machine, initiating a connection to a remote system.

readonly BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::NETWORK_SERVER = new BackingType("NETWORK_SERVER", Values.NETWORK_SERVER)`[static]`

Virtual serial port is backed by a network server.

This backing may be used to create a network-accessible serial port on the virtual machine, accepting a connection from a remote system.

readonly BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::PIPE_CLIENT = new BackingType("PIPE_CLIENT", Values.PIPE_CLIENT)`[static]`

Virtual serial port is backed by a named pipe client.

The virtual machine will connect to the named pipe provided by a host application or another virtual machine on the same host. This is useful for capturing debugging information sent through the virtual serial port.

readonly BackingType vmware::vcenter::vm::hardware::SerialTypes::BackingType::PIPE_SERVER = new BackingType("PIPE_SERVER", Values.PIPE_SERVER)`[static]`

Virtual serial port is backed by a named pipe server.

The virtual machine will accept a connection from a host application or another virtual machine on the same host. This is useful for capturing debugging information sent through the virtual serial port.

The documentation for this class was generated from the following file:

- SerialTypes.cs